package com.salpa.subject.domain.vo;

import java.util.Map;

/**
 * 项目创建实体
 *
 * @author zhuff
 */
public class ProjectVo {

    /** 项目ID */
    private Integer projectId;

    /** 项目名称 */
    private String projectName;

    /** 项目名称 */
    private String projectDescription;

    /** 主题id */
    private Integer subjectId;

    /** 数据库名称 */
    private String databaseName;

    /** 主要描述 */
    private String schemaName;

    /** 数据库类型 */
    private String databaseType;

    /** 数据库路径 */
    private String url;

    /** 登录名 */
    private String username;

    /** 密码 */
    private String password;

    /** 连接参数 */
    private Map[] properties;

    /** 忽略表名称 */
    private String[] ignoreTableNameRegexArray;

    /** 忽略字段名称 */
    private String[] ignoreColumnNameRegexArray;

    /** 是否定时同步 */
    private boolean isAutoSync;

    /** cron表达式 */
    private String autoSyncCron;

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Map[] getProperties() {
        return properties;
    }

    public void setProperties(Map[] properties) {
        this.properties = properties;
    }

    public String[] getIgnoreTableNameRegexArray() {
        return ignoreTableNameRegexArray;
    }

    public void setIgnoreTableNameRegexArray(String[] ignoreTableNameRegexArray) {
        this.ignoreTableNameRegexArray = ignoreTableNameRegexArray;
    }

    public String[] getIgnoreColumnNameRegexArray() {
        return ignoreColumnNameRegexArray;
    }

    public void setIgnoreColumnNameRegexArray(String[] ignoreColumnNameRegexArray) {
        this.ignoreColumnNameRegexArray = ignoreColumnNameRegexArray;
    }

    public boolean isAutoSync() {
        return isAutoSync;
    }

    public void setAutoSync(boolean autoSync) {
        isAutoSync = autoSync;
    }

    public String getAutoSyncCron() {
        return autoSyncCron;
    }

    public void setAutoSyncCron(String autoSyncCron) {
        this.autoSyncCron = autoSyncCron;
    }
}
